package me.mrletsplay.ollama.api;

import me.mrletsplay.mrcore.json.JSONObject;

public record ChatMessage(Role role, String content) {

	public static enum Role {
		SYSTEM, ASSISTANT, USER;
	}

	public JSONObject toJSON() {
		JSONObject obj = new JSONObject();
		obj.put("role", role.name().toLowerCase());
		obj.put("content", content);
		return obj;
	}

}
